#!/usr/bin/env php
<?php
if (!class_exists('op5config')) {
	require('op5/config.php');
}

$modules = array();

$config = op5config::instance();

function write_config($users) {
	$users['__version'] = 1;
	op5config::instance()->setConfig('auth_users', $users, true);
}

/**
 * Get all available auth modules
 * We need to find out if there are any modules
 * using the default driver.
*/
$auth_modules = $config->getConfig('auth');
$users = $config->getConfig('auth_users', true);

foreach ($auth_modules as $module => $config) {
	if ($module === 'common') {
		continue;
	}
	if ($config['driver'] === 'Default') {
		$modules[] = $module;
	}
}

if (count($modules) < 1) {
	echo "No auth modules using the Default driver are configured.\n";
	echo "Writing version number.\n";
}

foreach ($users as $user => $user_config) {
	if($user === '__version') {
		continue;
	}
	if (!isset($users[$user]['modules'])) {
		$users[$user]['modules'] = $modules;
	}
}

write_config($users);
echo "User configuration has been upgraded to version 1\n";
